<!doctype html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/default.html}">
<head>
  <!-- Primary Meta Tags -->
  <meta name="title" content="Overview">
  <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Overview</title>
</head>
<body>
<div class="container max-w-screen-lg mx-auto px-4" layout:fragment="content">
<!--  header section-->
  <div class="flex flex-wrap flex-row sm:justify-between items-center mt-16 mb-6">
    <h1 class="text-2xl text-blue-900 font-semibold">Overview</h1>
    <!--Date range Picker-->
    <div date-rangepicker class="flex items-center sm:justify-end basis-full sm:basis-6/12 mt-2" id="dateRangePicker">
      <div class="relative">
        <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
          <svg aria-hidden="true" class="w-5 h-5 text-gray-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z" clip-rule="evenodd"></path></svg>
        </div>
        <input name="start" type="text" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5" placeholder="Start Date">
      </div>
      <span class="mx-4 text-gray-500">to</span>
      <div class="relative">
        <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
          <svg aria-hidden="true" class="w-5 h-5 text-gray-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z" clip-rule="evenodd"></path></svg>
        </div>
        <input name="end" type="text" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5" placeholder="End date">
      </div>
    </div>
    <!--End Date Range Picker-->
  </div>
<!--end header -->
  <div class="flex flex-wrap md:flex-nowrap flex-row md:flex-row-reverse gap-4">
    <div class="basis-full md:basis-8/12 gap-4">
      <div class="flex flex-wrap flex-row md:flex-nowrap mb-4">
        <!--Task Score-->
        <div class="basis-full md:basis-4/12 rounded-md shadow-md p-4">
          <p class="text-base text-gray-600">All Performance</p>
          <p class="text-4xl text-blue-800">95%</p>
          <p class="text-base text-gray-600">Task Completed</p>
        </div>
        <!--Task Performance-->
        <div class="basis-full md:basis-8/12 rounded-md shadow-md p-4">
          <p class="text-base text-gray-600">Total Reword</p>
          <p class="text-3xl text-blue-800">Rp. 100.250.000,-</p>
          <p class="text-base text-gray-600">For 257 Employee</p>
        </div>
      </div>
      <div id="overviewChart"></div>
    </div>
    <div class="basis-full md:basis-4/12">
      <div class="rounded-md shadow-md p-4">
      <p class="pb-3">TOP 10 Best Performance</p>
      <ul class="max-h-96 py-2 mb-4 overflow-y-auto text-gray-700" aria-labelledby="dropdownUsersButton">
        <li>
          <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 rounded-md">
            <img class="w-10 h-10 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="profile picture">
            <div>
              <p class="text-base text-blue-900">Dofir Fauzi</p>
              <p class="text-sm text-gray-500" >Staff IT</p>
            </div>
          </a>
        </li>
        <li>
          <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 rounded-md">
            <img class="w-10 h-10 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="profile picture">
            <div>
              <p class="text-base text-blue-900">Dofir Fauzi</p>
              <p class="text-sm text-gray-500" >Staff IT</p>
            </div>
          </a>
        </li>
        <li>
          <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 rounded-md">
            <img class="w-10 h-10 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="profile picture">
            <div>
              <p class="text-base text-blue-900">Dofir Fauzi</p>
              <p class="text-sm text-gray-500" >Staff IT</p>
            </div>
          </a>
        </li>
        <li>
          <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 rounded-md">
            <img class="w-10 h-10 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="profile picture">
            <div>
              <p class="text-base text-blue-900">Dofir Fauzi</p>
              <p class="text-sm text-gray-500" >Staff IT</p>
            </div>
          </a>
        </li>
        <li>
          <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 rounded-md">
            <img class="w-10 h-10 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="profile picture">
            <div>
              <p class="text-base text-blue-900">Dofir Fauzi</p>
              <p class="text-sm text-gray-500" >Staff IT</p>
            </div>
          </a>
        </li>
        <li>
          <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 rounded-md">
            <img class="w-10 h-10 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="profile picture">
            <div>
              <p class="text-base text-blue-900">Dofir Fauzi</p>
              <p class="text-sm text-gray-500" >Staff IT</p>
            </div>
          </a>
        </li>
        <li>
          <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 rounded-md">
            <img class="w-10 h-10 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="profile picture">
            <div>
              <p class="text-base text-blue-900">Dofir Fauzi</p>
              <p class="text-sm text-gray-500" >Staff IT</p>
            </div>
          </a>
        </li>
        <li>
          <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 rounded-md">
            <img class="w-10 h-10 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="profile picture">
            <div>
              <p class="text-base text-blue-900">Dofir Fauzi</p>
              <p class="text-sm text-gray-500" >Staff IT</p>
            </div>
          </a>
        </li>
        <li>
          <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 rounded-md">
            <img class="w-10 h-10 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="profile picture">
            <div>
              <p class="text-base text-blue-900">Dofir Fauzi</p>
              <p class="text-sm text-gray-500" >Staff IT</p>
            </div>
          </a>
        </li>
        <li>
          <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 rounded-md">
            <img class="w-10 h-10 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="profile picture">
            <div>
              <p class="text-base text-blue-900">Dofir Fauzi</p>
              <p class="text-sm text-gray-500" >Staff IT</p>
            </div>
          </a>
        </li>
      </ul>
        <a th:href="@{'performance-report'}" type="button" class="w-full text-center text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2focus:outline-none">See More</a>
      </div>
    </div>
  </div>
</div>
<th:block layout:fragment="script">
  <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>
  <script>
    var options = {
      chart: {
        type: 'area'
      },
      stroke: {
        curve: 'smooth',
      },
      dataLabels: {
        enabled: false
      },
      toolbar: {
        show: false,
      },
      series: [{
        name: 'Performance',
        data: [60,70,90,80,60,60,70,80,90,100,80,90,70,40,50,60,70,80,90,100,80,70,50,40,50,60,70,80,90,100]
      }],
      xaxis: {
        dates: [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30]
      }
    }

    var chart = new ApexCharts(document.getElementById('overviewChart'), options);

    chart.render();

    const toolbar = document.querySelectorAll('#overviewChart .apexcharts-toolbar')
    toolbar.forEach( function (e) {
      e.style.visibility = "hidden";
    })

  </script>
</th:block>
</body>
</html>